<?php
/**
 * Created by PhpStorm.
 * User: Jure
 * Date: 11.4.2014
 * Time: 11:09
 */

class BackgroundTask {

    /// <summary>
    /// The unique id of the background task
    /// </summary>
    public $Id;

    /// <summary>
    /// Information about the task
    /// This data is always represented with JSON
    /// </summary>
    public $Parameters;
    /// <summary>
    /// The time the task is created
    /// </summary>
    public $StartTime;
    /// <summary>
    /// The time the task is finished
    /// </summary>
    public $FinishTime;
    /// <summary>
    /// The url to the blob storage location that holds the result files
    /// </summary>
    public $ResultUrl;
    /// <summary>
    /// The status of the task
    /// </summary>
    public $Status;

    public function getId(){return $this->Id;}
    public function getParameters(){return $this->Parameters;}
    public function getStartTime(){return $this->StartTime;}
    public function getFinishTime(){return $this->FinishTime;}
    public function getResultUrl(){return $this->ResultUrl;}
    public function getStatus(){return $this->Status;}

    public function setId($id){$this->Id = $id;}

} 